/* ######################## */
/* stylesheet.css del sitio */
/* ######################## */

/*
Colores
-------
Azul Header: #0066CC
Azul Footer: #003366
Fucsia: #D08CBD
Naranja: #FFA500
*/

/*
    /css/stylesheet.css
*/

/*
@import url('https://fonts.googleapis.com/css?family=Lato&display=swap');
* {
    font-family:'Lato',sans-serif;
    outline-style:none;
    color:#000;
}
*/

/* a revisar */
",":after, ":before{
    margin: 0;
    padding: 0;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}

#loader_container{
    background-color: rgba(250, 240, 245, 0.9);
    height: 100%;
    width: 100%;
    position: fixed;
    -webkit-transition: all 1s ease;
    -o-transition: all 1s ease;
    transition: all 1s ease;
    z-index: 10000;
}

#loader{
    border: 15px solid #ccc;
    border-top-color: #f4266a;
    border-top-style: groove;
    border-radius: 100%;
    width: 100px;
    height: 100px;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    margin: auto;
    -webkit-animation: turn 1.5s linear infinite;
    -o-anumation: turn 1.5s linear infinite;
    animation: turn 1.5s linear infinite;
}

@keyframes turn{
    from { transform: rotate(0deg); }
    to {transform: rotate(360deg); }
}
/* a revisar */



/* web style definitions */
/*
ul.navbar-nav{margin-top:-6 !important;margin-bottom:-14 !important;}
ul.dropdown-menu{margin-bottom:-14 !important;}
*/
/* azul SSRA: #003366 */
.navbar-SSRA-light{--bs-bg-opacity:1;background-color:#0066CC !important;}
.bg-SSRA-light{--bs-bg-opacity:1;background-color:#0066CC !important;}
.navbar-SSRA{--bs-bg-opacity:1;background-color:#003366 !important;}
.bg-SSRA{--bs-bg-opacity:1;background-color:#003366 !important;}
.bg-CANVAS{--bs-bg-opacity:1;/*background-color:#1f84ff !important;*/} /* celeste:# 1f84ff */
.border-AMTRAS{--bs-bg-opacity:1;border-color:#D08CBD !important;}
/*  shadow  offset-x:0  offset-y:.4rem  blur-radius:.25rem  color:rgba(0,0,0,.25)   */
.shadow-md{box-shadow:0 .4rem .25rem rgba(0,0,0,.25)!important}
/* navbar offcanvas overlay styles */
.offcanvas-backdrop{position:fixed;top:0;left:0;z-index:1040;width:100vw;height:100vh;background-color:#000}
.offcanvas-backdrop.fade{opacity:0}
.offcanvas-backdrop.show{opacity:.5}



.bg-Gradiente {
    background: #000;
    background: -webkit-linear-gradient( 270deg,rgba(118,185,0,1) 0%,rgb(74,116,1) 22%,rgb(9,92,144) 48%,rgba(2,158,255,1) 58%,rgb(19,49,131) 84%,rgba(1,129,14) 100% );
    background: -moz-linear-gradient( 90deg,rgba(118,185,0,1) 0%,rgb(74,116,1) 22%,rgb(9,92,144) 48%,rgba(2,158,255,1) 58%,rgb(19,49,131) 84%,rgb(1,129,14) 100% );
    background: -ms-linear-gradient( 90deg,rgba(118,185,0,1) 0%,rgb(74,116,1) 22%,rgb(9,92,144) 48%,rgba(2,158,255,1) 58%,rgb(19,49,131) 84%,rgb(1,129,14) 100% );
    background: -o-linear-gradient( 90deg,rgba(118,185,0,1) 0%,rgb(74,116,1) 22%,rgb(9,92,144) 48%,rgba(2,158,255,1) 58%,rgb(19,49,131) 84%,rgb(1,129,14) 100% );background: linear-gradient( 90deg,rgba(118,185,0,1) 0%,rgb(74,116,1) 22%,rgb(9,92,144) 48%,rgba(2,158,255,1) 58%,rgb(19,49,131) 84%,rgb(1,129,14) 100% );
    background-size: 400% 400%;
    -webkit-animation: rgbBg 10s linear infinite;
}


/* Scroll to top */
#scrollToTop {
    position: fixed;
    z-index: 5000;
    right: 25px;
    bottom: 100px;
    width: 44px;
    height: 44px;
    text-align: center;
    -webkit-transition: all .2s ease-out;
    -moz-transition: all .2s ease-out;
    -ms-transition: all .2s ease-out;
    -o-transition: all .2s ease-out;
    transition: all .2s ease-out;
    border:none;
    opacity: 0.5;
}
#scrollToTop:hover {
    cursor: pointer;
    transform: scale(1.1);
    border:none;
    opacity:1;
}
.up-hide {
    visibility: hidden;
}
.up-show {
    visibility: visible;
}
a.link-white {
    text-decoration: none !important;
    color: #FFF !important;
}
a:hover.link-hover-primary {
    text-decoration: none !important;
    color: #0d6efd !important;
}



/* Bootstrap Card Shadow on hover */
.box-shadow{
    -webkit-box-shadow: 0 1px 1px rgba(72,78,85,.6);
    box-shadow: 0 1px 1px rgba(72,78,85,.6);
    -webkit-transition: all .2s ease-out;
    -moz-transition: all .2s ease-out;
    -ms-transition: all .2s ease-out;
    -o-transition: all .2s ease-out;
    transition: all .2s ease-out;
}

.box-shadow:hover{
    -webkit-box-shadow: 0 10px 10px rgba(72,78,85,.6);
    box-shadow: 0 10px 10px rgba(72,78,85,.6);
    -webkit-transform: translateY(-5px);
    -moz-transform: translateY(-5px);
    -ms-transform: translateY(-5px);
    -o-transform: translateY(-5px);
    transform: translateY(-5px);
}

.card:hover i{
    /*transform: rotate(-180deg);*/
    /*box-shadow: 0 20px 40px rgba(72,78,85,.6);*/
}



/* selected link */
/* 28/04/2025 */
/* modelo64 */
.navbar-dark a:active {
  color: #D08CBD;
  background-color: transparent !important;
}

#tabla_productos a:active {
  color: #D08CBD;
  background-color: transparent !important;
}


/*
a:link {
    background-color: transparent !important;
}
*/

/* visited link */
/*
a:visited {
    background-color: transparent !important;
}
*/

/* mouse over link */
/*
a:hover {
    color: #D08CBD;
    background-color: transparent !important;
}
*/



/* selected link */
ul li a:active {
    color: #D08CBD;
    background-color: transparent !important;
}

#footer a:active {
    background-color: transparent !important;
}


/* Botones personalizados del Nav */
/*
Colores
-------
Azul Header: #0066CC
Azul Footer: #003366
Fucsia: #D08CBD
Naranja: #FFA500
*/

.btn-fucsia{
--bs-btn-color:#000;
--bs-btn-bg:#FFF;
--bs-btn-border-color:#FFF;
--bs-btn-hover-color:#FFF;
--bs-btn-hover-bg:#D08CBD; /* el color a mostrar */
--bs-btn-hover-border-color:#D08CBD; /* el color a mostrar */
--bs-btn-focus-shadow-rgb:60,153,110;
--bs-btn-active-color:#FFF;
--bs-btn-active-bg:#D08CBD; /* el color a mostrar */
--bs-btn-active-border-color:#D08CBD; /* el color a mostrar */
--bs-btn-active-shadow:inset 0 3px 5px rgba(0, 0, 0, 0.125);
--bs-btn-disabled-color:#000;
--bs-btn-disabled-bg:#FFF;
--bs-btn-disabled-border-color:#FFF;
}

.btn-outline-fucsia {
    border-color: #D08CBD !important; /* el color a mostrar */
}


/*
"ALTA":
$color_estado_socio = '#D4EFDF !important';
D2EFDF color de fondo
*/
.btn-socio-alta{
--bs-btn-color:#000;
--bs-btn-bg:#D4EFDF; /* fondo */
--bs-btn-border-color:#D4EFDF; /* fondo */
--bs-btn-hover-color:#FFF;
--bs-btn-hover-bg:#D4EFDF; /* el color a mostrar */
--bs-btn-hover-border-color:#D4EFDF; /* el color a mostrar */
--bs-btn-focus-shadow-rgb:60,153,110;
--bs-btn-active-color:#FFF;
--bs-btn-active-bg:#D4EFDF; /* el color a mostrar */
--bs-btn-active-border-color:#D4EFDF; /* el color a mostrar */
--bs-btn-active-shadow:inset 0 3px 5px rgba(0, 0, 0, 0.125);
--bs-btn-disabled-color:#000;
--bs-btn-disabled-bg:#FFF;
--bs-btn-disabled-border-color:#FFF;
}

.btn-outline-socio-alta {
    border-color: #D4EFDF !important; /* el color a mostrar */
}

.bg-socio-alta{
    background-color: #D4EFDF !important;
}


/*
"CARENCIA":
$color_estado_socio = '#FDF6D0 !important';
FBF6D0 
*/
.btn-socio-carencia{
--bs-btn-color:#000;
--bs-btn-bg:#FDF6D0; /* fondo */
--bs-btn-border-color:#FDF6D0; /* fondo */
--bs-btn-hover-color:#FFF;
--bs-btn-hover-bg:#FDF6D0; /* el color a mostrar */
--bs-btn-hover-border-color:#FDF6D0; /* el color a mostrar */
--bs-btn-focus-shadow-rgb:60,153,110;
--bs-btn-active-color:#FFF;
--bs-btn-active-bg:#FDF6D0; /* el color a mostrar */
--bs-btn-active-border-color:##FDF6D0; /* el color a mostrar */
--bs-btn-active-shadow:inset 0 3px 5px rgba(0, 0, 0, 0.125);
--bs-btn-disabled-color:#000;
--bs-btn-disabled-bg:#FFF;
--bs-btn-disabled-border-color:#FFF;
}

.btn-outline-socio-carencia {
    border-color: #FDF6D0 !important; /* el color a mostrar */
}

.bg-socio-carencia{
    background-color: #FDF6D0 !important;
}


/*
"INACTIVO":
$color_estado_socio = '#88EFE6 !important';
*/
.btn-socio-inactivo{
--bs-btn-color:#000;
--bs-btn-bg:#88EFE6;
--bs-btn-border-color:#88EFE6;
--bs-btn-hover-color:#FFF;
--bs-btn-hover-bg:#88EFE6; /* el color a mostrar */
--bs-btn-hover-border-color:#88EFE6; /* el color a mostrar */
--bs-btn-focus-shadow-rgb:60,153,110;
--bs-btn-active-color:#FFF;
--bs-btn-active-bg:#88EFE6; /* el color a mostrar */
--bs-btn-active-border-color:#88EFE6; /* el color a mostrar */
--bs-btn-active-shadow:inset 0 3px 5px rgba(0, 0, 0, 0.125);
--bs-btn-disabled-color:#000;
--bs-btn-disabled-bg:#FFF;
--bs-btn-disabled-border-color:#FFF;
}

.btn-outline-socio-inactivo {
    border-color: #88EFE6 !important; /* el color a mostrar */
}

.bg-socio-inactivo{
    background-color: #88EFE6 !important;
}



/* 04/07/2025 */
/* modificado para que las tablas se vean mejor en un celular */
/* se cambio:
    padding: .5rem .5rem;
por
    padding: .5rem .1rem !important;
*/
.table>:not(caption)>*>* {
    padding: .5rem .1rem !important;
/*
    background-color: var(--bs-table-bg);
    border-bottom-width: var(--bs-border-width);
    box-shadow: inset 0 0 0 9999px var(--bs-table-accent-bg);
*/
}
